.menu {
  height: 100vh;
  width: 100%;
  position: fixed;
  top: 0;
  left: 100%;
  background-color: #6400fa;
  background-image: radial-gradient(
    circle at top right,
    #6400fa 8%,
    #f7d3d4 100%
  );
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  opacity: 0.9;

  &__icon {
    height: 35px;
    width: 35px;
    fill: white;
    align-self: flex-end;
    margin-top: 5px;
  }

  &__icon:hover {
    cursor: pointer;
  }

  &__container {
    display: flex;
    flex-direction: column;
  }

  &__options {
    text-decoration: none;
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    font-size: 40px;
    color: white;
    padding: 8px 0 5px 15px;
  }

  &__options:hover {
    font-size: 44px;
  }

  &__logout {
    padding-left: 10px;
    display: flex;
    flex-direction: column;
  }

  &__user {
    font-size: 22px;
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    display: flex;
    align-items: center;
  }

  &__user-image {
    height: 30px;
    width: 30px;
    border-radius: 100%;
    margin-right: 8px;
  }

  &__logout-button {
    text-decoration: none;
    font-family: "Franklin Gothic Medium", "Arial Narrow", Arial, sans-serif;
    font-size: 20px;
    color: white;
  }
  &__logout-icon {
    height: 20px;
    width: 20px;
    padding-right: 5px;
    fill: white;
    align-self: flex-end;
  }
}

.close-animate-menu {
  animation: hide-menu 1s forwards 1;
}

.open-animate-menu {
  animation: show-menu 1s forwards 1;
}

@keyframes hide-menu {
  from {
    left: 0%;
  }

  to {
    left: 100%;
  }
}

@keyframes show-menu {
  from {
    left: 100%;
  }

  to {
    left: 0%;
  }
}
a {
  text-decoration: none;
}
